Bug 208522 - IndexOutOfBoundsException in org.eclipse.jface.text.FindReplaceDocumentAdapter.charAt
IndexOutOfBoundsException in org.eclipse.jface.text.FindReplaceDocumentAdapte...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Konrath
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-29 01:28 EDT by Ben Konrath
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-11 17:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Konrath 2006-09-29 01:28:57 EDT
!ENTRY org.eclipse.ui 4 0 2006-09-29 00:22:52.968
!MESSAGE java.lang.IndexOutOfBoundsException
!STACK 0
java.lang.IndexOutOfBoundsException
   at
org.eclipse.jface.text.FindReplaceDocumentAdapter.charAt(org.eclipse.text_3.2.0.v20060605-1400.jar.so)
   at gnu.java.util.regex.CharIndexedCharSequence.charAt(libgcj.so.7rh)
   at gnu.java.util.regex.RE.getMatchImpl(libgcj.so.7rh)
   at gnu.java.util.regex.RE.getMatch(libgcj.so.7rh)
   at gnu.java.util.regex.RE.getMatch(libgcj.so.7rh)
   at gnu.java.util.regex.RE.getMatch(libgcj.so.7rh)
   at java.util.regex.Matcher.find(libgcj.so.7rh)
   at
org.eclipse.jface.text.FindReplaceDocumentAdapter.findReplace(org.eclipse.text_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.jface.text.FindReplaceDocumentAdapter.find(org.eclipse.text_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.jface.text.source.projection.ProjectionViewer.findAndSelect(org.eclipse.jface.text_3.2.1.r321_v20060810.jar.so)
   at
org.eclipse.jface.text.TextViewer$FindReplaceTarget.findAndSelect(org.eclipse.jface.text_3.2.1.r321_v20060810.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceTarget.findAndSelect(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.findAndSelect(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.findIndex(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.findNext(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.performSearch(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.performSearch(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog.access$25(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.ui.texteditor.FindReplaceDialog$1.widgetSelected(org.eclipse.ui.workbench.texteditor_3.2.0.v20060605-1400.jar.so)
   at
org.eclipse.swt.widgets.TypedListener.handleEvent(org.eclipse.swt.gtk.linux.x86_3.2.1.v3235.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.1.v3235.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_3.2.1.v3235.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_3.2.1.v3235.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_3.2.1.v3235.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.ui.workbench_3.2.1.M20060906-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.runUI(org.eclipse.ui.workbench_3.2.1.M20060906-0800.jar.so)
   at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.1.M20060906-0800.jar.so)
   at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.ui.workbench_3.2.1.M20060906-0800.jar.so)
   at
org.eclipse.ui.internal.ide.IDEApplication.run(org.eclipse.ui.ide_3.2.1.M20060915-1030.jar.so)
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.2.0.v20060603.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(org.eclipse.osgi_3.2.1.R32x_v20060919.jar.so)
   at
org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(org.eclipse.osgi_3.2.1.R32x_v20060919.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.1.R32x_v20060919.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.2.1.R32x_v20060919.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.7rh)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so
Comment 1 Ben Konrath 2006-10-11 17:05:56 EDT
I guess I didn't file a good bug report here because I didn't put in they cause
of this. Closing bug.

Note You need to log in before you can comment on or make changes to this bug.